package com.hfkj.service.goods.impl;

import com.hfkj.dao.BsOrderGoodsMapper;
import com.hfkj.entity.BsOrderGoods;
import com.hfkj.entity.BsOrderGoodsExample;
import com.hfkj.service.goods.BsOrderGoodsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service("bsOrderGoodsService")
public class BsOrderGoodsServiceImpl implements BsOrderGoodsService {

    @Resource
    private BsOrderGoodsMapper bsOrderGoodsMapper;

    @Override
    public void create(BsOrderGoods orderGoods) {
        bsOrderGoodsMapper.insert(orderGoods);
    }

    @Override
    public void update(BsOrderGoods orderGoods) {
        bsOrderGoodsMapper.updateByPrimaryKeySelective(orderGoods);
    }

    @Override
    public void delete(Long id, Boolean fullDelete) {
        if (fullDelete) {
            bsOrderGoodsMapper.deleteByPrimaryKey(id);
        } else {
            BsOrderGoods orderGoods = queryDetail(id);
            orderGoods.setStatus(0);
            orderGoods.setUpdateTime(new Date());
            update(orderGoods);
        }
    }

    @Override
    public BsOrderGoods findGoodsOrder(String orderNo) {
        BsOrderGoodsExample example = new BsOrderGoodsExample();
        example.createCriteria().andStatusNotEqualTo(0).andOrderNoEqualTo(orderNo);

        List<BsOrderGoods> list = bsOrderGoodsMapper.selectByExample(example);

        if (!list.isEmpty()) {
            return list.get(0);
        }

        return null;
    }

    @Override
    public BsOrderGoods queryDetail(Long id) {
        return bsOrderGoodsMapper.selectByPrimaryKey(id);
    }

    @Override
    public BsOrderGoods queryDetailByMap(Map<String, Object> map) {
        return null;
    }

    @Override
    public List<BsOrderGoods> getList(Map<String, Object> map) {
        return Collections.emptyList();
    }
}
